create_current_probe#
- NexximComponents.create_current_probe(name=None, location=None, angle=0, use_instance_id_netlist=False)#
Create a current probe.
- Parameters:
- name
str
,optional
Name of the current probe. The default is
None
.- location
list
of
float
,optional
Position on the X axis and Y axis. The default is
None
.- angle
float
,optional
Angle rotation in degrees. The default is
0
.- use_instance_id_netlistbool,
optional
Whether to use the instance ID in the net list. The default is
False
.
- name
- Returns:
ansys.aedt.core.modeler.cad.object_3dcircuit.CircuitComponent
Circuit Component Object.
References
>>> oEditor.CreateComponent
Examples
>>> from ansys.aedt.core import Circuit >>> cir = Circuit() >>> cir.modeler.components.create_current_probe(name="probe") >>> cir.release_desktop(False, False)